#pragma once

#include "uwbgl_D3DDefines.h"
#include "uwbgl_D3DSceneNode.h"
#include "uwbgl_D3DMeshPrimitive.h"

namespace UWBGL_D3D {
		//
		// Arrow consists of two parts, 
		//
		class ArrowSceneNode : public SceneNode {
		
			private:
				MeshPrimitive	*m_Body; 		// this is going to be a cylinder
				MeshPrimitive	*m_Head;		// this will be a cone
				SceneNode			*m_BodyNode;
				SceneNode			*m_HeadNode;
			
			public:
		
				ArrowSceneNode();
				void SetArrowColor(const D3DXCOLOR &headColor, const D3DXCOLOR &bodyColor);
		};
};
