#include "uwbgl_D3DAxisFrameSceneNode.h"

using namespace UWBGL_D3D;

AxisFrameSceneNode::AxisFrameSceneNode()
{
	D3DXCOLOR r(1.0f, 0.0f, 0.0f, 0.0f);
	D3DXCOLOR g(0.0f, 1.0f, 0.0f, 0.0f);
	D3DXCOLOR b(0.0f, 0.0f, 1.0f, 0.0f);

	m_XAxis = new ArrowSceneNode();
	m_YAxis = new ArrowSceneNode();
	m_ZAxis = new ArrowSceneNode();

	m_XAxis->SetArrowColor(r, r);
	m_XAxis->m_XForm.SetRotationToRadian(D3DXVECTOR3(0.0f, 0.0f, -M_PI/2.0f));

	m_YAxis->SetArrowColor(g, g);

	m_ZAxis->SetArrowColor(b, b);
	m_ZAxis->m_XForm.SetRotationToRadian(D3DXVECTOR3(M_PI/2.0f, 0.0f, 0.0f));

  InsertChildNode(m_XAxis);
  InsertChildNode(m_YAxis);
  InsertChildNode(m_ZAxis);
}
