#include "uwbgl_D3DGraphicsSystem.h"
#include "uwbgl_D3DFillablePrimitive.h"

using namespace UWBGL_D3D;

ImplementSimplePrimitiveAttr(FillablePrimitive, WORD,  FillMode)

FillablePrimitive::~FillablePrimitive() {}

FillablePrimitive::FillablePrimitive()
: m_FillMode(D3DFILL_SOLID)
{
}

void FillablePrimitive::SetPrimitiveAttributesForDrawing()
{
	// Calls the parent class to do its work
	ShadablePrimitive::SetPrimitiveAttributesForDrawing();

  LPDIRECT3DDEVICE9 device = GraphicsSystem::GetSystem().GetActiveDevice();
	if (device == NULL) return;

	device->SetRenderState(D3DRS_FILLMODE, m_FillMode);
}
