#pragma once

#include "uwbgl_D3DFillablePrimitive.h"
#include "uwbgl_D3DRawMesh.h"
#include "uwbgl_D3DXFormInfo.h"

namespace UWBGL_D3D
{
  class MeshPrimitive : public FillablePrimitive
  {
        // int m_MeshIndex;		// This is the index into the resource table
        SimplePrimitiveAttr(int, MeshIndex)

  protected:
			    // Override from DrawablePrimitive
		    virtual void DrawPrimitiveGeometry();

  public:
        MeshPrimitive() : m_MeshIndex(-1) {}
        MeshPrimitive(int i) : m_MeshIndex(i) {}

        XFormInfo       m_XForm;
              // This is to allow us 


              // we can't do much about the mesh's location
              // if you want to move mesh, put this under a SceneNode
              // and move the SceneNode
        virtual void MovePrimitiveTo(const D3DXVECTOR3 &d) {};

            // override from PrimitiveBase
		    virtual void GetColliderList(ColliderList&);

  };
};