#pragma once

#include "uwbgl_D3DFillablePrimitive.h"

// RectanglePrimitive only allows two vertex
// 		First Position  is the center
// 		Second Position is one of the corner

namespace UWBGL_D3D
{
  class RectanglePrimitive : public FillablePrimitive
  {
	protected:
			// Override from DrawablePrimitive
		virtual void DrawPrimitiveGeometry();

	public:
		virtual ~RectanglePrimitive();
		RectanglePrimitive();

       // override from PrimitiveBase
		virtual void GetColliderList(ColliderList&);

			// These are from DrawablePrimitives
    virtual void SetFirstVertex(const D3DXVECTOR3 &p);
		virtual void AppendVertex(const D3DXVECTOR3 &p);
		virtual void MovePrimitiveTo(const D3DXVECTOR3 &);
	};
};
