#include "uwbgl_D3DSpotLight.h"
#include "uwbgl_D3DSceneNode.h"
#include "uwbgl_D3DMeshPrimitive.h"
#include "uwbgl_D3DLinePrimitive.h"

using namespace UWBGL_D3D;

SpotLight::SpotLight(int id) : Light(id)
{
  SetToSpotLight();
}

SpotLight::~SpotLight()
{
}

void SpotLight::DrawLightGeometry()
{ 
  D3DXCOLOR c;
  GetDiffuse(c);

  MeshPrimitive *m = new MeshPrimitive(eSphereMesh);
  m->DisableLighting();
  m->SetDrawColor(c);

  SceneNode n;
  n.m_XForm.SetTranslationTo( m_d3dLight.Position );
  n.SetPrimitive(m);
  n.DrawNode();
}

