#include "StdAfx.h"
#include "World.h"
#include "SetDeviceVertex.h"

void World::DrawSilhouetteProblem()
{

	if (!m_DrawSilhouette) 
		return;

	// 
	// Draw a simple cylinder, notice nice continuous shading across the surface
	// but look at the bottom of the cylinder, notice the ugly approximation of the
	// the bottom.
	// 
	// 

	MeshPrimitive *m = new MeshPrimitive(eCylinderMesh);
	m->EnableLighting();

	SceneNode n;
	n.SetPrimitive(m);
	n.m_XForm.SetScaleTo(5);
				
	Material &mat = m->GetMaterial();

	mat.SetDiffuse(1.0f);
	mat.SetAmbient(0.0f);
	mat.SetSpecular(0.0f);
	mat.SetEmissive(0.2f);
	mat.SetPower(1.0f);


	n.DrawNode();
}
