#pragma once

#include "uwbgl_D3DDefines.h"

namespace UWBGL_D3D
{

	class FileTexture
	{
		protected:
			LPDIRECT3DTEXTURE9	m_Texture;
			LPDIRECT3DDEVICE9		m_D3dDevice;

		public:
			FileTexture(LPDIRECT3DDEVICE9 pd3dDevice, const char* filename);
			~FileTexture();

			void ActivateTexture(DWORD stage=0);
			void DeActivateTexture(DWORD stage=0);
			BOOL CreateD3DTexture(LPDIRECT3DDEVICE9 pd3dDevice, const char* filename);

			LPDIRECT3DTEXTURE9 GetTexture() { return m_Texture; }
	};
}