#include "uwbgl_D3DPointLight.h"
#include "uwbgl_D3DSceneNode.h"
#include "uwbgl_D3DMeshPrimitive.h"

using namespace UWBGL_D3D;

PointLight::PointLight(int id) : Light(id)
{
  SetToPointLight();
}

PointLight::~PointLight()
{
}

void PointLight::DrawLightGeometry()
{
  SceneNode node;
  node.m_XForm.SetTranslationTo(  m_d3dLight.Position );
  node.m_XForm.SetScaleTo( 0.3f );
  
  D3DXCOLOR c;
  GetDiffuse(c);
  MeshPrimitive *m = new MeshPrimitive(eSphereMesh);
  m->DisableLighting();
  m->SetShadedMode(D3DSHADE_FLAT);
  m->SetDrawColor(c);
  
  node.SetPrimitive( m );
  node.DrawNode();
}